import { Store } from 'redux';
import { Plugin } from '../plugin';
import { Action } from './actions';
import { State } from './types';
export declare function createStore<K extends string>({ defaultPlugin, plugins, actions }: StoreOptions<K>): {
    store: Store<State, Action>;
};
export interface StoreOptions<K extends string> {
    plugins: Record<K, Plugin>;
    defaultPlugin: K;
    actions?: Action[];
}
//# sourceMappingURL=store.d.ts.map